/*==========================================================
Script by jin-ren
　リンクに補助機能追加
　ページ上のリンクに以下のボタンを追加します
　U　URL Checkerでチェックする
　B　BrowserCrasherCollectorでチェックする
　S　リンク先のソースを表示
　C　Googleキャッシュで開く
                                                2002/09/08
==========================================================*/
  var obj, document, id, x, strAddlink;

  obj = new ActiveXObject("Sleipnir.API");
  id = obj.GetDocumentID(obj.ActiveIndex);
  document = obj.GetDocumentObject(id);

  if (document == null)
  {
    obj.MessageBox("Document を作成できません");
  }
  else
  {

    var atag=document.links;
    for (i in atag){
      x = atag[i].href;
      if(x==null){continue;}
      strAddlink = '';
      strAddlink+= '<input type="button" value="U" onClick="window.open(\'http://www.tekijuku.com/URL/?url='+x+'\');" title="URL Checkerでチェックする">';
      strAddlink+= '<input type="button" value="B" onClick="window.open(\'http://www.jah.ne.jp/~fild/cgi-bin/LBCC/lbcc.cgi?url='+x+'\');" title="BrowserCrasherCollectorでチェックする">';
      strAddlink+= '<input type="button" value="S" onClick="window.open(\'view-source:'+x+'\');" title="リンク先のソースを表示">';
      strAddlink+= '<input type="button" value="C" onClick="window.open(\'http://www.google.co.jp/search?q=cache:'+x+'\');" title="Googleキャッシュで開く">';
//      strAddlink+= '<input type="button" value="C" onClick="window.open(\'http://web.archive.org/*/'+x+'\');" title="Internet Acrhiveで開く">';
      atag[i].insertAdjacentHTML("AfterEnd",strAddlink);
    }

    document = null;
  }
  obj.beep();
  obj = null;
